package domain


type AlibabaWdkPlatformCategoryQueryApiResults struct {
    /*
        结果集合     */
    Models  *[]AlibabaWdkPlatformCategoryQueryPlatformCategoryDo `json:"models,omitempty" `

    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

}

func (s *AlibabaWdkPlatformCategoryQueryApiResults) SetModels(v []AlibabaWdkPlatformCategoryQueryPlatformCategoryDo) *AlibabaWdkPlatformCategoryQueryApiResults {
    s.Models = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryApiResults) SetErrCode(v string) *AlibabaWdkPlatformCategoryQueryApiResults {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryApiResults) SetSuccess(v bool) *AlibabaWdkPlatformCategoryQueryApiResults {
    s.Success = &v
    return s
}
func (s *AlibabaWdkPlatformCategoryQueryApiResults) SetErrMsg(v string) *AlibabaWdkPlatformCategoryQueryApiResults {
    s.ErrMsg = &v
    return s
}
